clang-tools 10.0.0

Classes | Namespaces | Functions
SymbolID.h File Reference
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/Hashing.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <array>`
`#include <string>`
Include dependency graph for SymbolID.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::SymbolID
struct | llvm::DenseMapInfo< clang::clangd::SymbolID >

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd
| llvm
| Some operations such as code completion produce a set of candidates.

## Functions
llvm::hash_code | clang::clangd::hash_value (const SymbolID &ID)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const SymbolID &ID)